Package org.jboss.resteasy.plugins.server.netty

## Class NettyUtil

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.NettyUtil

-     public class NettyUtil
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NettyUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<javax.ws.rs.core.MediaType>` | `extractAccepts​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)` |
    `static ResteasyHttpHeaders` | `extractHttpHeaders​(io.netty.handler.codec.http.HttpRequest request)` |
    `static List<String>` | `extractLanguages​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)` |
    `static javax.ws.rs.core.MultivaluedMap<String,​String>` | `extractRequestHeaders​(io.netty.handler.codec.http.HttpRequest request)` |
    `static ResteasyUriInfo` | `extractUriInfo​(io.netty.handler.codec.http.HttpRequest request, String contextPath, String protocol)` |
    `static boolean` | `isIoThread()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NettyUtil

          public NettyUtil()

  - ### Method Detail

    - #### extractUriInfo

          public static ResteasyUriInfo extractUriInfo​(io.netty.handler.codec.http.HttpRequest request,
                                                       String contextPath,
                                                       String protocol)

    - #### extractHttpHeaders

          public static ResteasyHttpHeaders extractHttpHeaders​(io.netty.handler.codec.http.HttpRequest request)

    - #### extractAccepts

          public static List<javax.ws.rs.core.MediaType> extractAccepts​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)

    - #### extractLanguages

          public static List<String> extractLanguages​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)

    - #### extractRequestHeaders

          public static javax.ws.rs.core.MultivaluedMap<String,​String> extractRequestHeaders​(io.netty.handler.codec.http.HttpRequest request)

    - #### isIoThread

          public static boolean isIoThread()